import { normalizeCheckableListRhfPropsWhitelist as i } from "./helpers/whitelist/propertyNormalizers.js";
import { normalizeFieldOptionsForCheckableList as c } from "./normalizeFieldOptionsForCheckableList.js";
import { resolveFieldInputLabel as p } from "../../../resolveFieldInputLabel/resolveFieldInputLabel.js";
function u(e, t) {
  const l = e.fieldType.rhfComponentProps, o = i(l), s = o.groups !== void 0 && o.groups.length > 0, r = o.searchable, n = r != null ? !!r : s, a = c(e.options);
  return {
    ...o,
    resolvedLabel: p(e, t),
    hasGroups: s,
    resolvedSearchable: n,
    resolvedCheckableListItems: a
  };
}
export {
  u as normalizeCheckableListPropsFromBackend
};
